<?php

namespace App\Http\Controllers;

use App\Models\Equipo;
use App\Http\Requests\EquipoRequest;
use App\Models\Usuario;
/**
 * Class EquipoController
 * @package App\Http\Controllers
 */
class EquipoController extends Controller
{
    /**
     * Display a listing of the resource.
     */
    public function index()
    {
        $equipos = Equipo::paginate();
	
        return view('equipo.index', compact('equipos'))
            ->with('i', (request()->input('page', 1) - 1) * $equipos->perPage());
    }

    /**
     * Show the form for creating a new resource.
     */
    public function create()
    {
        $equipo = new Equipo();
	$data = Usuario::ALL();
        return view('equipo.create', compact('equipo'), compact('data'));
    }

    /**
     * Store a newly created resource in storage.
     */
    public function store(EquipoRequest $request)
    {
	Equipo::create($request->validated());
        return redirect()->route('equipos.index')
            ->with('success', 'Equipo created successfully.');
    }

    /**
     * Display the specified resource.
     */
    public function show($id)
    {
        $equipo = Equipo::find($id);

        return view('equipo.show', compact('equipo'));
    }

    /**
     * Show the form for editing the specified resource.
     */
    public function edit($id)
    {
        $equipo = Equipo::find($id);
	$data = Usuario::ALL();
        return view('equipo.edit',compact('data'), compact('equipo'));
    }

    /**
     * Update the specified resource in storage.
     */
    public function update(EquipoRequest $request, Equipo $equipo)
    {
	$equipo->secuencia= $equipo->tipo."_".$equipo->mac;

        $equipo->update($request->validated());
	
        return redirect()->route('equipos.index')
            ->with('success', 'Equipo updated successfully');
    }

    public function destroy($id)
    {
        Equipo::find($id)->delete();

        return redirect()->route('equipos.index')
            ->with('success', 'Equipo deleted successfully');
    }
}
