<?php

namespace App\Http\Controllers;

use App\Models\Movile;
use App\Http\Requests\MovileRequest;
use Illuminate\Support\Facades\Storage;
use App\Http\Requests\Post\StoreRequest;
use App\Http\Requests\Post\UpdateRequest;
use App\Models\Usuario;

/**
 * Class MovileController
 * @package App\Http\Controllers
 */
class MovileController extends Controller
{
    /**
     * Display a listing of the resource.
     */
    public function index()
    {
        $moviles = Movile::paginate();

        return view('movile.index', compact('moviles'))
            ->with('i', (request()->input('page', 1) - 1) * $moviles->perPage());
    }

    /**
     * Show the form for creating a new resource.
     */
    public function create()
    {
        $movile = new Movile();
	$data = Usuario::ALL();

        return view('movile.create', compact('movile'),compact('data'));
    }

    /**
     * Store a newly created resource in storage.
     */
    public function store(MovileRequest $request)
    {
               $test = $request->validated();
if($request->has('foto')){
	 $file = Storage::disk('public')->put('storage/moviles', request()->file('foto'), 'public');
            // get the image path in the url
            $path = Storage::url($file);
            $test['foto'] = $path; 

}

	$create = Movile::create($test);       
	 return redirect()->route('moviles.index')
            ->with('success', 'Movile created successfully.');
    }

    /**
     * Display the specified resource.
     */
    public function show($id)
    {
        $movile = Movile::find($id);

        return view('movile.show', compact('movile'));
    }

    /**
     * Show the form for editing the specified resource.
     */
    public function edit($id)
    {
        $movile = Movile::find($id);
	$data = Usuario::All();
        return view('movile.edit', compact('movile'),compact('data'));
    }

    /**
     * Update the specified resource in storage.
     */
    public function update(MovileRequest $request, Movile $movile)
    {
        $movile->update($request->validated());

        return redirect()->route('moviles.index')
            ->with('success', 'Movile updated successfully');
    }

    public function destroy($id)
    {
        Movile::find($id)->delete();

        return redirect()->route('moviles.index')
            ->with('success', 'Movile deleted successfully');
    }
}
