<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

/**
 * Class Equipo
 *
 * @property $id
 * @property $id_usuario
 * @property $secuencia
 * @property $ubicacion
 * @property $sub_ubicacion
 * @property $tipo
 * @property $ip
 * @property $mac
 * @property $tipo_conexion
 * @property $detalle_ram
 * @property $detalle_procesador
 * @property $detalle_memoria_ssd
 * @property $detalle_memoria_hhd
 * @property $regulador
 * @property $teclado_estado
 * @property $fuente_estado
 * @property $monitor_estado
 * @property $raton_estado
 * @property $observaciones
 * @property $fotos
 * @property $created_at
 * @property $updated_at
 *
 * @property Usuario $usuario
 * @package App
 * @mixin \Illuminate\Database\Eloquent\Builder
 */
class Equipo extends Model
{
    

    protected $perPage = 20;

    /**
     * Attributes that should be mass-assignable.
     *
     * @var array
     */
    protected $fillable = ['id_usuario', 'secuencia', 'ubicacion', 'sub_ubicacion', 'tipo', 'ip', 'mac', 'tipo_conexion', 'detalle_ram', 'detalle_procesador', 'detalle_memoria_ssd', 'detalle_memoria_hhd', 'regulador', 'teclado_estado', 'fuente_estado', 'monitor_estado', 'raton_estado', 'observaciones', 'fotos'];


    /**
     * @return \Illuminate\Database\Eloquent\Relations\BelongsTo
     */
    public function usuario()
    {
        return $this->belongsTo(\App\Models\Usuario::class, 'id_usuario', 'id');
    }
    

}
