<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

/**
 * Class Movile
 *
 * @property $id
 * @property $mac
 * @property $modelo
 * @property $ip
 * @property $foto
 * @property $id_usuario
 * @property $created_at
 * @property $updated_at
 *
 * @property Usuario $usuario
 * @package App
 * @mixin \Illuminate\Database\Eloquent\Builder
 */
class Movile extends Model
{
    

    protected $perPage = 20;

    /**
     * Attributes that should be mass-assignable.
     *
     * @var array
     */
    protected $fillable = ['mac', 'modelo', 'ip', 'foto', 'id_usuario'];


    /**
     * @return \Illuminate\Database\Eloquent\Relations\BelongsTo
     */
    public function usuario()
    {
        return $this->belongsTo(\App\Models\Usuario::class, 'id_usuario', 'id');
    }
    

}
