<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

/**
 * Class Usuario
 *
 * @property $id
 * @property $Nombre
 * @property $lugar_de_trabajo
 * @property $seccion_trabajo
 * @property $departamento
 * @property $created_at
 * @property $updated_at
 *
 * @property Equipo[] $equipos
 * @property Movile[] $moviles
 * @package App
 * @mixin \Illuminate\Database\Eloquent\Builder
 */
class Usuario extends Model
{
    

    protected $perPage = 20;

    /**
     * Attributes that should be mass-assignable.
     *
     * @var array
     */
    protected $fillable = ['Nombre', 'lugar_de_trabajo', 'seccion_trabajo', 'departamento'];


    /**
     * @return \Illuminate\Database\Eloquent\Relations\HasMany
     */
    public function equipos()
    {
        return $this->hasMany(\App\Models\Equipo::class, 'id', 'id_usuario');
    }
    
    /**
     * @return \Illuminate\Database\Eloquent\Relations\HasMany
     */
    public function moviles()
    {
        return $this->hasMany(\App\Models\Movile::class, 'id', 'id_usuario');
    }
    

}
