@extends('layouts.app')

@section('template_title')
    Equipo
@endsection

@section('content')
    <div class="container-fluid">
        <div class="row">
            <div class="col-sm-12">
                <div class="card">
                    <div class="card-header">
                        <div style="display: flex; justify-content: space-between; align-items: center;">

                            <span id="card_title">
                                {{ __('Equipo') }}
                            </span>

                             <div class="float-right">
                                <a href="{{ route('equipos.create') }}" class="btn btn-primary btn-sm float-right"  data-placement="left">
                                  {{ __('Create New') }}
                                </a>
                              </div>
                        </div>
                    </div>
                    @if ($message = Session::get('success'))
                        <div class="alert alert-success m-4">
                            <p>{{ $message }}</p>
                        </div>
                    @endif

                    <div class="card-body bg-white">
                        <div class="table-responsive">
                            <table class="table table-striped table-hover">
                                <thead class="thead">
                                    <tr>
                                        <th>No</th>
                                        
										<th>Id Usuario</th>
										<th>Secuencia</th>
										<th>Ubicacion</th>
										<th>Sub Ubicacion</th>
										<th>Tipo</th>
										<th>Ip</th>
										<th>Mac</th>
										<th>Tipo Conexion</th>
										<th>Detalle Ram</th>
										<th>Detalle Procesador</th>
										<th>Detalle Memoria Ssd</th>
										<th>Detalle Memoria Hhd</th>
										<th>Regulador</th>
										<th>Teclado Estado</th>
										<th>Fuente Estado</th>
										<th>Monitor Estado</th>
										<th>Raton Estado</th>
										<th>Observaciones</th>
										<th>Fotos</th>

                                        <th></th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @foreach ($equipos as $equipo)
                                        <tr>
                                            <td>{{ ++$i }}</td>
                                            
											<td>{{ $equipo->usuario->Nombre }}</td>
											<td>{{ $equipo->secuencia }}</td>
											<td>{{ $equipo->ubicacion }}</td>
											<td>{{ $equipo->sub_ubicacion }}</td>
											<td>{{ $equipo->tipo }}</td>
											<td>{{ $equipo->ip }}</td>
											<td>{{ $equipo->mac }}</td>
											<td>{{ $equipo->tipo_conexion }}</td>
											<td>{{ $equipo->detalle_ram }}</td>
											<td>{{ $equipo->detalle_procesador }}</td>
											<td>{{ $equipo->detalle_memoria_ssd }}</td>
											<td>{{ $equipo->detalle_memoria_hhd }}</td>
											<td>{{ $equipo->regulador }}</td>
											<td>{{ $equipo->teclado_estado }}</td>
											<td>{{ $equipo->fuente_estado }}</td>
											<td>{{ $equipo->monitor_estado }}</td>
											<td>{{ $equipo->raton_estado }}</td>
											<td>{{ $equipo->observaciones }}</td>
											<td>{{ $equipo->fotos }}</td>

                                            <td>
                                                <form action="{{ route('equipos.destroy',$equipo->id) }}" method="POST">
                                                    <a class="btn btn-sm btn-primary " href="{{ route('equipos.show',$equipo->id) }}"><i class="fa fa-fw fa-eye"></i> {{ __('Show') }}</a>
                                                    <a class="btn btn-sm btn-success" href="{{ route('equipos.edit',$equipo->id) }}"><i class="fa fa-fw fa-edit"></i> {{ __('Edit') }}</a>
                                                    @csrf
                                                    @method('DELETE')
                                                    <button type="submit" class="btn btn-danger btn-sm"><i class="fa fa-fw fa-trash"></i> {{ __('Delete') }}</button>
                                                </form>
                                            </td>
                                        </tr>
                                    @endforeach
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
                {!! $equipos->links() !!}
            </div>
        </div>
    </div>
@endsection
