@extends('layouts.app')

@section('template_title')
    Movile
@endsection

@section('content')
    <div class="container-fluid">
        <div class="row">
            <div class="col-sm-12">
                <div class="card">
                    <div class="card-header">
                        <div style="display: flex; justify-content: space-between; align-items: center;">

                            <span id="card_title">
                                {{ __('Moviles') }}
                            </span>

                             <div class="float-right">
                                <a href="{{ route('moviles.create') }}" class="btn btn-primary btn-sm float-right"  data-placement="left">
                                  {{ __('Create New') }}
                                </a>
                              </div>
                        </div>
                    </div>
                    @if ($message = Session::get('success'))
                        <div class="alert alert-success m-4">
                            <p>{{ $message }}</p>
                        </div>
                    @endif

                    <div class="card-body bg-white">
                        <div class="table-responsive">
                            <table class="table table-striped table-hover">
                                <thead class="thead">
                                    <tr>
                                        <th>No</th>
                                        					<th>Nombre</th>
										<th>Mac</th>
										<th>Modelo</th>
										<th>Ip</th>
										<th>Foto</th>
										

                                        <th></th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @foreach ($moviles as $movile)
                                        <tr>
                                            <td>{{ ++$i }}</td>
                                            						<td>{{ $movile->usuario->Nombre }}</td>
											<td>{{ $movile->mac }}</td>
											<td>{{ $movile->modelo }}</td>
											<td>{{ $movile->ip }}</td>
											@if (!is_null($movile->foto))

											<td> <img src="{{ url($movile->foto)}}" height="100" width="100" /> </td>
@else
<td></td>
@endif
											

                                            <td>
                                                <form action="{{ route('moviles.destroy',$movile->id) }}" method="POST">
                                                    <a class="btn btn-sm btn-primary " href="{{ route('moviles.show',$movile->id) }}"><i class="fa fa-fw fa-eye"></i> {{ __('Show') }}</a>
                                                    <a class="btn btn-sm btn-success" href="{{ route('moviles.edit',$movile->id) }}"><i class="fa fa-fw fa-edit"></i> {{ __('Edit') }}</a>
                                                    @csrf
                                                    @method('DELETE')
                                                    <button type="submit" class="btn btn-danger btn-sm"><i class="fa fa-fw fa-trash"></i> {{ __('Delete') }}</button>
                                                </form>
                                            </td>
                                        </tr>
                                    @endforeach
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
                {!! $moviles->links() !!}
            </div>
        </div>
    </div>
@endsection
